> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User

> Update current user's name and email.

Requires `update:profile` permission.



## OpenAPI

````yaml PUT /users
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /users:
    put:
      tags:
        - users
      summary: Update Current User
      description: |-
        Update current user's name and email.

        Requires `update:profile` permission.
      operationId: update_current_user_users_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateUserResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateUserRequest:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
          description: User's full name
        email:
          type: string
          format: email
          title: Email
          description: User's email address
      type: object
      required:
        - name
        - email
      title: UpdateUserRequest
    UpdateUserResponse:
      properties:
        updated_at:
          type: string
          title: Updated At
          description: Timestamp when the user was last updated
      type: object
      required:
        - updated_at
      title: UpdateUserResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````